## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionPIContent

All Superinterfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression

All Known Implementing Classes:
  XMLValueFunctionPIContentImpl

    public interface XMLValueFunctionPIContent

extends QueryValueExpression

A representation of the model object 'XML Value Function PI Content'.

The following features are supported:

- `Value Function PI`
- `Value Expr`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionPIContent()`

Method Summary
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`XMLValueFunctionPI` `getValueFunctionPI()` Returns the value of the 'Value Function PI' container reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.
`void` `setValueFunctionPI(XMLValueFunctionPI value)` Sets the value of the '`Value Function PI`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getValueFunctionPI

    XMLValueFunctionPI getValueFunctionPI()

  Returns the value of the 'Value Function PI' container reference. It is bidirectional and its opposite is '`PI Content`'.

  If the meaning of the 'Value Function PI' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function PI' container reference.
  See Also:
    `setValueFunctionPI(XMLValueFunctionPI)`, `SQLXMLQueryModelPackage.getXMLValueFunctionPIContent_ValueFunctionPI()`, `XMLValueFunctionPI.getPIContent()`

### setValueFunctionPI

    void setValueFunctionPI(XMLValueFunctionPI value)

  Sets the value of the '`Value Function PI`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function PI' container reference.
  See Also:
    `getValueFunctionPI()`

### getValueExpr

    QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLXMLQueryModelPackage.getXMLValueFunctionPIContent_ValueExpr()`

### setValueExpr

    void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.